document.addEventListener('DOMContentLoaded', () => {
  // Video play functionality
  const videoCards = document.querySelectorAll('.video-card');
  
  videoCards.forEach(card => {
    const video = card.querySelector('video');
    const playBtn = card.querySelector('.play-btn');
    
    playBtn.addEventListener('click', () => {
      if (video.paused) {
        // Pause all other videos
        document.querySelectorAll('video').forEach(v => {
          if (v !== video) {
            v.pause();
            v.parentElement.querySelector('.play-btn').style.display = 'block';
          }
        });
        
        video.play();
        playBtn.style.display = 'none';
      } else {
        video.pause();
        playBtn.style.display = 'block';
      }
    });
    
    video.addEventListener('ended', () => {
      playBtn.style.display = 'block';
    });
  });
  
  // Search functionality
  const searchInput = document.querySelector('.search-bar input');
  let searchTimeout;
  
  searchInput.addEventListener('input', (e) => {
    clearTimeout(searchTimeout);
    searchTimeout = setTimeout(() => {
      // Here you would typically make an API call to search videos
      console.log('Searching for:', e.target.value);
    }, 500);
  });
  
  // Upload button
  const uploadBtn = document.querySelector('.upload-btn');
  
  uploadBtn.addEventListener('click', () => {
    // Here you would typically open an upload modal or navigate to upload page
    console.log('Upload clicked');
  });
});
